%define name      fluxbox
%define version   0.1.14
%define release   6mdk
%define title     Fluxbox
%define summary   Windowmanager based on the original blackbox-code
%define wallpaper miark-teeth1.jpg

# This is for the debug-flavor. Do not remove. Package is stripped conditionally.
%define debug 0
%{?fluxbox_debug: %{expand: %%define debug 1}}
%if %debug
%define __os_install_post   %nil
%{expand: %%define optflags %{optflags} -g3}
%endif

Summary:          %summary
Name:             %name
Version:          %version
Release:          %release
Group:            Graphical desktop/Other
License:          MIT
URL:              http://fluxbox.sourceforge.net

BuildRoot:        %_tmppath/%name-buildroot
Prefix:           %_prefix

Source:           http://prdownloads.sourceforge.net/fluxbox/%name-%version.tar.bz2

Source1:          %name-menu_method.bz2
Source2:          %name-menu.bz2
Source3:          %name-icons.tar.bz2
Source4:          %name-MDKbox.bz2
Source5:          %name-start%name.bz2
Source6:          %name-artwiz-fonts.tar.bz2
Source7:          %name-startup.bz2
Source8:          %name-%wallpaper
Source9:          %name-generate_menu.bz2

Buildrequires:   XFree86-devel
Requires:        XFree86

%define           _Xprefix        /usr/X11R6
%define           _Xbindir        %_Xprefix/bin
%define           _Xmandir        %_Xprefix/man
%define           _Xlibdir        %_Xprefix/lib


%description

Fluxbox is yet another windowmanager for X. It's a fork from the origi-
nal blackbox-0.61.1 code. Fluxbox looks like blackbox and handles
styles, colors, window placement and similar thing exactly like black-
box. So what's the difference between fluxbox and blackbox then? The
answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
%setup -q
%setup -q -T -D -a3

# This deprecates two paches
%__perl -pi -e 's#\$\(pkgdatadir\)/menu#%_sysconfdir/X11/fluxbox/menu#g' src/Makefile.in
%__perl -pi -e 's#\@pkgdatadir\@/menu#%_sysconfdir/X11/fluxbox/menu#g'   data/init.in

# Change the default theme.
%__perl -pi -e 's#@pkgdatadir@/styles/Clean#@pkgdatadir@/styles/MDKbox#' data/init.in


%build
%configure      --bindir=%_Xbindir \
                --mandir=%_Xmandir \
                --enable-kde \
                --enable-xinerama

%make DEFAULT_MENU=%_sysconfdir/X11/fluxbox/menu


%install
%__rm -rf %buildroot

%makeinstall    bindir=%buildroot%_Xbindir \
                mandir=%buildroot%_Xmandir

# Since there might be a naming conflict with the blackbox bset-tools:
# We rename them :)
%__mv %buildroot%_Xbindir/bsetbg   %buildroot%_Xbindir/bsetbg-%name
%__mv %buildroot%_Xbindir/bsetroot %buildroot%_Xbindir/bsetroot-%name

# icon
%__install -D -m 644 %{name}48.png %buildroot%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}32.png %buildroot%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}16.png %buildroot%{_miconsdir}/%{name}.png

# session file
%__mkdir -p %buildroot%_sysconfdir/X11/wmsession.d
%__cat > %buildroot%_sysconfdir/X11/wmsession.d/16fluxbox << EOF
NAME=fluxbox
ICON=fluxbox.png
EXEC=%_Xbindir/startfluxbox
DESC=%summary
SCRIPT:
exec %_Xbindir/startfluxbox
EOF

# menu
%__mkdir -p %buildroot%_sysconfdir/menu-methods
bzcat %SOURCE1 > %buildroot%_sysconfdir/menu-methods/%name

%__mkdir -p %buildroot/%_menudir
bzcat %SOURCE2 > %buildroot/%_menudir/%name
#
%__mkdir -p %buildroot%_Xbindir
bzcat %SOURCE5 > %buildroot%_Xbindir/start%name

# Artwiz fonts
%__mkdir -p %buildroot%_Xlibdir/X11/fonts
%__tar xjf %SOURCE6 -C %buildroot%_Xlibdir/X11/fonts/

# mdk-style and background.
%__mkdir -p %buildroot%_datadir/%name/{styles,backgrounds}
bzcat %SOURCE4 > %buildroot%_datadir/%name/styles/MDKbox
%__perl -pi -e "s,\@WALLPAPER@,%wallpaper," %buildroot%_datadir/%name/styles/MDKbox
%__cp %SOURCE8 %buildroot%_datadir/%name/backgrounds/fluxbox-%wallpaper

# bzip2 manpages (should be automatic, dirty); lenny
%__bzip2 %buildroot%_Xmandir/man1/*.1

bzcat %SOURCE7 > %buildroot%_datadir/%name/startup

# fluxbox-generate_menu from cvs is much better.
bzcat %SOURCE9 > %buildroot%_Xbindir/%name-generate_menu


%post
# menu
if [ -x /usr/bin/update-menus ]; then
   /usr/bin/update-menus || true
else
   [ -d %_sysconfdir/X11/%name ] || %__mkdir -p %_sysconfdir/X11/%name
   %_Xbindir/fluxbox-generate_menu -o %_sysconfdir/X11/%name/menu || true
fi

%make_session

#blackbox-alternatives
update-alternatives --install %_Xbindir/bsetbg   bsetbg   %_Xbindir/bsetbg-%name   20
update-alternatives --install %_Xbindir/bsetroot bsetroot %_Xbindir/bsetroot-%name 20

#artwiz fontz
cd %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts
/usr/X11R6/bin/mkfontdir
/usr/sbin/chkfontpath -q -a %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts:unscaled

# mv the wallpaper, so it won't get deleted.
%__mv -f %_datadir/%name/backgrounds/fluxbox-%wallpaper %_datadir/%name/backgrounds/%wallpaper


%postun
# menu
%clean_menus
%update_menus
%make_session

# blackbox alternatives
if [ "$1" = '0' ]; then
        update-alternatives --remove bsetbg   %_Xbindir/bsetbg-%name
        update-alternatives --remove bsetroot %_Xbindir/bsetroot-%name
fi

# artwiz-fonts
if [ "$1" = '0' ]; then
        /usr/sbin/chkfontpath -q -r %_Xlibdir/X11/fonts/%name-artwiz-fonts:unscaled
fi


%clean
%__rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_Xbindir/bsetbg-fluxbox
%_Xbindir/bsetroot-fluxbox
%_Xbindir/fbrun
%_Xbindir/fluxbox
%_Xbindir/fluxbox-generate_menu
%_Xbindir/startfluxbox

%config(noreplace) %_sysconfdir/menu-methods/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/16%name

%defattr(0644,root,root,0755)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%_Xmandir/man1/bsetroot.1.bz2
%_Xmandir/man1/fluxbox.1.bz2

%dir %_Xlibdir/X11/fonts/fluxbox-artwiz-fonts
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/anorexia.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/aqui.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/cure.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/cursor.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/drift.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/edges.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/gelly.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/glisp-bold.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/glisp.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/lime.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/mints-mild.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/mints-strong.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/nu.pcf.gz
%_Xlibdir/X11/fonts/fluxbox-artwiz-fonts/snap.pcf.gz

%_menudir/%name

%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%dir %_datadir/%name

%_datadir/%name/init
%_datadir/%name/keys
%_datadir/%name/menu
%_datadir/%name/startup

%_datadir/%name/nls/C/%name.cat
%_datadir/%name/nls/POSIX
%_datadir/%name/nls/US_ASCII
%_datadir/%name/nls/bg_BG/%name.cat
%_datadir/%name/nls/da_DK/%name.cat
%_datadir/%name/nls/en
%_datadir/%name/nls/en_US
%_datadir/%name/nls/es
%_datadir/%name/nls/es_ES/%name.cat
%_datadir/%name/nls/et_EE/%name.cat
%_datadir/%name/nls/fr
%_datadir/%name/nls/fr_FR/%name.cat
%_datadir/%name/nls/it_IT/%name.cat
%_datadir/%name/nls/ja_JP/%name.cat
%_datadir/%name/nls/lv
%_datadir/%name/nls/lv_LV/%name.cat
%_datadir/%name/nls/pt_BR/%name.cat
%_datadir/%name/nls/pt_PT/%name.cat
%_datadir/%name/nls/ru_RU/%name.cat
%_datadir/%name/nls/sv_SE/%name.cat
%_datadir/%name/nls/tr_TR/%name.cat

%_datadir/%name/backgrounds/%name-%wallpaper
%_datadir/%name/styles/MDKbox

%_datadir/%name/styles/Artwiz
%_datadir/%name/styles/Blue
%_datadir/%name/styles/BlueNight
%_datadir/%name/styles/Carbondioxide
%_datadir/%name/styles/Clean
%_datadir/%name/styles/CleanColor
%_datadir/%name/styles/Cthulhain
%_datadir/%name/styles/Flux
%_datadir/%name/styles/LemonSpace
%_datadir/%name/styles/Makro
%_datadir/%name/styles/MerleyKay
%_datadir/%name/styles/Minimal
%_datadir/%name/styles/Nyz
%_datadir/%name/styles/Operation
%_datadir/%name/styles/Outcomes
%_datadir/%name/styles/Rampage
%_datadir/%name/styles/Rancor
%_datadir/%name/styles/Results
%_datadir/%name/styles/Shade
%_datadir/%name/styles/Spiff
%_datadir/%name/styles/Twice
%_datadir/%name/styles/qnx-photon


%changelog
* Sun Mar  2 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-6mdk
- Forgot to include BuildRequires. Evil eye to mpol.
- Another cool wallpaper from miark.
  These rpms are gonna be collectors items.

* Sat Feb 22 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-5mdk
- fluxbox-generate menu from cvs is much better
- debug simplified: add ``%fluxbox_debug 1'' to your .rpmmacros from now on

* Wed Feb 19 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-4mdk
- Cleanup spec according to skel.spec
- Removed MDKbox picture for lawsuit reasons. booooooh
  http://www.xs4all.nl/~hanb/pictures/MDKbox.jpg
- New wallpaper: Thanks Miark <miark-linux@gardnerbusiness.com>
  If you want to have your wallpaper in this rpm, send it to me :)

* Thu Jan  2 2003 Han Boetes <han@linux-mandrake.com> 0.1.14-3mdk
- Rebuild without obsoleted libXft2-rpm.
- Fixed menu entry. Credits: Gtz Waschk.

* Sun Dec 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.14-2mdk
- fluxbox does not depend on menu

* Sun Dec  8 2002 Han Boetes <han@linux-mandrake.com> 0.1.14-1mdk
- Bump: I am getting supersticious
- More Macros

* Sat Nov 30 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-7mdk
- Added only missing patch from bugfix1: interlace-render

* Wed Nov 27 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-6mdk
- Capitalized fluxbox-menu to coorparate with locales.
  as mentioned by Maxim Heijndijk <cchq@wanadoo.nl>
- Added a regenerate menu-entry

* Sun Nov 24 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-5mdk
- macros for /usr/X11R6
- specified dirs owned by package
  credits to: Per yvind Karlsen <peroyvind@sintrax.net>
- Added `startup' file for {x,k,g}dm users
- Changed startfluxbox so it works with ~/.fluxbox/startup

* Sat Nov 23 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-4mdk
- More elegant way to retrieve mdk-release
- Patches for OpenOffice and AA-fonts at startup from Simon Bowden.

* Fri Nov 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-3mdk
- Finally added Xft2 support
- exit plist again, lets try a detailed %files-section

* Wed Nov 20 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-2mdk
- Added patch to fix nls
- Use plist-script to check for changes in the package-list
- Clean up sh-code

* Sun Nov 17 2002 Han Boetes <han@linux-mandrake.com> 0.1.13-1mdk
- Bump

* Tue Sep 24 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-3mdk
- Changed default style. Thanks Grimau

* Sun Sep 22 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-2mdk
- Fix menu. Why does nobody notice this?
- update menu's after an upgrade
- Change default theme

* Fri Sep 13 2002 Han Boetes <han@linux-mandrake.com> 0.1.12-1mdk
- Bump to 0.1.1.12

* Tue Sep 10 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-3mdk
- Applied bugfix2 patch (obsoletes nr.1)

* Mon Sep  9 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-2mdk
- Added bugfix1 patch.

* Tue Sep  3 2002 Han Boetes <han@linux-mandrake.com> 0.1.11-1mdk
- Bump

* Wed Aug 28 2002 Han Boetes <han@linux-mandrake.com> 0.1.10-4mdk
- Under some circumstances grep can not be found.

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.1.10-3mdk
- Rebuild with gcc3.2

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-2mdk
- gcc 3.2 build

* Sun Jul 14 2002 Han Boetes <han@mijncomputer.nl> 0.1.10-1mdk
- Bump!

* Mon Jun  3 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-4mdk
- Fixes for menudrake. Thanks Grimau ;)

* Mon Jun  3 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-3mdk
- Applied buxfix-patch2

* Tue May 28 2002 Han Boetes <han@mijncomputer.nl> 0.1.9-2mdk
- Bump version
- Cancelled changes tested on 0.1.9-1mdk

* Wed May  8 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-5mdk
- Removed locales, fluxbox doesn't use them
- Profilactic/Cosmetic cleanups

* Mon May 06 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-4mdk
- fix in %postun for rpm -U: bsetbg-alternatives not removed
        anymore -- Credits flepied

* Sat May 03 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-3mdk
- Applied buxfix-patch2
- Enable Xinerama

* Fri Apr 27 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-2mdk
- Applied bugxfix-patch1

* Fri Apr 19 2002 Han Boetes <han@mijncomputer.nl> 0.1.8-1mdk
- Bump to 0.1.8

* Sat Mar  9 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-3mdk
- Applied buxfix-patch1

* Tue Mar  5 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-2mdk
- Updated startfluxbox to 0.1.7
- Added DEBUG flavor.

* Fri Mar  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-1mdk
- Version bump.

* Tue Jan 29 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-3mdk
- Applied buxfix-patch2
- convert icons(lenny)

* Fri Jan 12 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-2mdk
- Replaced 2 patches with elegant perl search & replace -- Credits Dopey
- Include original menu generator in /usr/share/fluxbox
- Applied patch from author.
- Included nice icons from aleczapka.
- Little menu fixes.

* Fri Jan 11 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-1mdk
- Bump version.

* Thu Jan 10 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-5mdk
- Added kde-support. No libraries needed for that.
- Changed icons method.
- More spec cleanups.

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-4mdk
- Fixed startup commands.

* Sun Dec 30 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-3mdk
- More clean-ups
- Fixed menusystem. No it was not broken, It just doesn't work as user.
- First run will add ~/.fluxbox so setting will be saved.
- Update-alternatives because there is no alternative.
- Added groovy Artwiz fonts

* Sat Dec 29 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-2mdk
- Applied a fix for bbtools; will be included in 0.1.6.
- Added menu system.
- I didn't add the update-alternatives system yet. Gotta get positive feedback first.

* Fri Dec 28 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-1mdk
- Initial build

# end of file
